
package com.tmerclub.cloud.im.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 员工最近聊天记录表
 *
 * @author tmerclub
 * @date 2021-08-25 13:58:56
 */

public class ImMsgBizEmployeeRecent extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 自增主键
     */
    private Long id;

    /**
     * 发送类型1平台2商家
     */
    private Integer sendType;

    /**
     * 平台或商家id
     */
    private Long bizId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 员工id
     */
    private Long employeeId;

    /**
     * 员工未读条数
     */
    private Integer employeeUnreadNum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getSendType() {
        return sendType;
    }

    public void setSendType(Integer sendType) {
        this.sendType = sendType;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(Long employeeId) {
        this.employeeId = employeeId;
    }

    public Integer getEmployeeUnreadNum() {
        return employeeUnreadNum;
    }

    public void setEmployeeUnreadNum(Integer employeeUnreadNum) {
        this.employeeUnreadNum = employeeUnreadNum;
    }

    @Override
    public String toString() {
        return "ImMsgBizEmployeeRecent{" +
                "id=" + id +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",sendType=" + sendType +
                ",bizId=" + bizId +
                ",userId=" + userId +
                ",employeeId=" + employeeId +
                ",employeeUnreadNum=" + employeeUnreadNum +
                '}';
    }
}
